%global forgeurl https://github.com/XTLS/Xray-core
%global version 25.3.31
%global commit 58c48664e2da30ec0fd0550209dfe02678a3ba2b
%global date 20250428
%global gomodulesmode GO111MODULE=on
%global source_date_epoch_from_changelog 0
%global _enable_debug_packages 0
%forgemeta

Name: xray
Version: %{forgeversion}
Release: %{autorelease}
Summary: XTLS/Xray proxy platform
License: MPL-2.0
URL: https://xtls.github.io/en/
Source0: %{forgesource}
Source1: %{name}@.service
Source2: %{name}.howto
BuildRequires: git-core
BuildRequires: golang-bin
BuildRequires: go-rpm-macros
BuildRequires: systemd-rpm-macros

%description
XTLS/Xray is a multiprotocol proxy platform.
It allows to circumvent censorship and data discrimination.

%prep
%forgesetup

%build
export GOPROXY="https://proxy.golang.org,direct"
export GOFLAGS="-trimpath"
export GO_LDFLAGS="-s -w"
%gobuild -o %{name} ./main

%install
%__install -p -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
%__install -p -D -m 644 -t %{buildroot}%{_unitdir} %{SOURCE1}
%__install -p -D -m 755 -t %{buildroot}%{_bindir} %{name}
%__install -p -D -m 644 -t %{buildroot}%{_pkgdocdir} %{SOURCE2} README.md

%post
for UNIT in $(systemctl -P Id show %{name}@\*.service)
do %systemd_post ${UNIT}
done

%preun
for UNIT in $(systemctl -P Id show %{name}@\*.service)
do %systemd_preun ${UNIT}
done

%postun
for UNIT in $(systemctl -P Id show %{name}@\*.service)
do %systemd_postun_with_restart ${UNIT}
done

%files
%license LICENSE
%doc %{_pkgdocdir}
%{_sysconfdir}/*
%{_unitdir}/*
%{_bindir}/*
